const Slack = require('slack-node');
const Promise = require('bluebird');

const slack = new Slack();
const slackWebhook = Promise.promisify(slack.webhook);
const slackChannel = process.env.SLACK_NOTIFY_CHANNEL;
const slackUsername = process.env.SLACK_NOTIFY_USERNAME || 'PageBuilder Deployer';
const slackIcon = process.env.SLACK_NOTIFY_ICON || ':arc:';

slack.setWebhook(process.env.SLACK_NOTIFY_WEBHOOK);

/**
* @desc Posts confirmation of the deployment to a Slack channel.
* @param {string} message - A string containing the message that should be posted to Slack.
**/
exports.notify = async (message) => {
  await slackWebhook({
    channel: slackChannel,
    username: slackUsername,
    icon_emoji: slackIcon,
    text: message
  });
};
